Subject: Re: [PATCH v4 0/6] tests: fix ignored & hidden exit codes

From: Junio C Hamano <[email-masked]>
Date: Tue, 20 Dec 2022 09:06:11 +0900

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> I think this should address all of the feedback on the v3, except
> Junio's suggestion of perhaps re-arranging this series around file
> boundaries.
>
> Given the potential size of that range-diff I thought it was better to
> mosttly keep the same structure.

Sorry, I do not recall making such a suggestion but if I did, it
probably was an indication that the group of patches I suggested
such a change were unreviewable as-is, and by definition range-diff
is irrelevant if that is the case (i.e. the part that was
unreviewable would be freshly reviewed with reorganization).

In any case, I think we have been seeing patches to unhide the exit
status from more individual command invocations, a theme this series
should fit well.  Thanks for working on it.